# Contributing to Pivot

Pivot is released using [Semantic Versioning 2.0.0](http://semver.org/). Please read about how Semantic Versioning is used for software releases, understand what a breaking change is and backwards compatibility.

## Bug fixes

All bug fixes should PR against the branch of the version of Pivot with the bug. If you want to fix a bug, please do the following:

1. Open an issue in [Issues](https://github.com/Hutchy68/pivot/issues) and make sure you tag it with a `bug` tag. If the bug already is a known issue, skip this step.
2. Create a branch in your repo with the name of the `bug` or whatever you feel comfortable with(patch-1, bugX, etc.) using the Pivot's `master` branch as a base.
3. If it will take time to fix, periodically check and pull down updates to Pivot's `master` branch as you are working on the bug fix. Commits can and will occur to `master` which may affect your `bug fix` branch.
4. When you are ready to issue a PR against the `master` branch of Pivot, please use `[bug]` as a tag at the beginning of the PR's title.
5. Please reference the issue# in the PR's description and include any information for testing the bug fix.

## Development of New Feature

All new features for Pivot should PR against the `master` branch. If you want to add a new feature, you should do the following:

1. Open an issue in [Issues](https://github.com/hutchy68/pivot/issues) and make sure you tag it with the `feature` tag.
2. Create a branch in your repo with the name of the `feature` or whatever you feel comfortable with using Pivot's `master` branch as a base.
3. Periodically check and pull down updates to Pivot's `master` branch as you are working on your proposed feature. Commits can and will occur to `master` which may affect your `feature` branch.
4. When you are ready to issue a PR against the `master` branch of Pivot, please use `[feature]` as a tag at the beginning of the PR's title.
5. Please reference the issue# in the PR's description and include any information for testing the feature.


